/**
  *  \file client/tiles/basetaskcmd.h
  *  \brief WBaseAutoTaskCommandTile tile
  *
  *  (c) 2001-2012 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_TILES_BASETASKCMD_H
#define PCC_V2_CLIENT_TILES_BASETASKCMD_H

#include "cpluslib/sigslot.h"
#include "client/wtile.h"

class WPlanetAutoTaskType;
class UIButton;

/** Starbase Auto Task Command Tile. Displays information about
    (the current location in) a starbase's auto task, and allows
    users to add commands.

    For use with a WPlanetAutoTaskType only. */
class WBaseAutoTaskCommandTile : public WTile {
    WPlanetAutoTaskType* attype;
    SignalConnection conn_task_changed;
    UIButton* btn_edit;
    ObjectHolder h;
    int widthReserve;

    void init();

 public:
    WBaseAutoTaskCommandTile(GObjectType& type);
    ~WBaseAutoTaskCommandTile();
    void drawData(GfxCanvas& can);
    void createSetMissionCommand();
    void createEnqueueShipCommand();
    void editCurrentCommand();
    bool handleCommand(const UICommand& cmd, UIBaseWidget& sender);
    bool handleEvent(const UIEvent& event, bool second_pass);
};

#endif
