/**
  *  \file client/widgets/configview.h
  */
#ifndef PCC_V2_CLIENT_WIDGETS_CONFIGVIEW_H
#define PCC_V2_CLIENT_WIDGETS_CONFIGVIEW_H

#include <vector>
#include "util/conf.h"
#include "ui/listbox.h"

class WConfigView : public UIListbox {
 public:
    WConfigView(int id, int nlines, int width);
    ~WConfigView();

    void setHighlightSource(ConfigOption::Source level);
    void setNameColumnWidth(int widthInEms);

    void setContent(Config& cfg);
    void setContent(Config& cfg, string_t filter);

    void drawPart(GfxCanvas& can, int from, int to);

    ConfigOption* getCurrentOption();

 private:
    std::vector<ConfigOption*> data;
    ConfigOption::Source level;
    int nameColumnWidth;
};

#endif
