/**
  *  \file game/vcrdb.cc
  *  \brief VCR Database Implementation
  *
  *  As of early 2005, we support not only the HOST / PVCR
  *  distinction, but also the FLAK multi-ship combat engine which has
  *  a completely different VCR format. This module provides the
  *  database base classes, as well as the storage engine for
  *  "classic" (one-on-one) VCRs.
  *
  *  (c) 2001-2012 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */

#include "game/vcrdb.h"
#include "util/except.h"
#include "game/tvcr.h"
#include "game/spec.h"
#include "game/pvcr.h"
#include "util/nls.h"
#include "util/misc.h"
#include "io/io.h"
#include "io/streams.h"
#include "game/host.h"
#include "game/config.h"

