/**
  *  \file reshack/palette.h
  */
#ifndef PCC_V2_RESHACK_PALETTE_H
#define PCC_V2_RESHACK_PALETTE_H

#include "ui/window.h"
#include "cpluslib/holder.h"

class UINumberSelector;

class RHPaletteEditorWindow : public UIWindow {
 public:
    RHPaletteEditorWindow(Ptr<GfxPixmap> pixmap, int colorIndex);
    ~RHPaletteEditorWindow();

 private:
    Ptr<GfxPixmap> pixmap;
    int colorIndex;

    ObjectHolder h;

    class Preview;
    Preview* preview;

    UINumberSelector* sel_red;
    UINumberSelector* sel_green;
    UINumberSelector* sel_blue;

    SDL_Color orig_color;

    void init();
    void onChange();
    void onOK();
    void onCancel();
    void setPalette(SDL_Color& c);
};

#endif
