/**
  *  \file ui/widgets/multilinestatic.h
  *  \brief UIMultilineStatic widget
  *
  *  (c) 2001-2012 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_UI_WIDGETS_MULTILINESTATIC_H
#define PCC_V2_UI_WIDGETS_MULTILINESTATIC_H

#include "ui/ui.h"
#include "cpluslib/string.h"

/** Multi-line static text. The text is automatically word-wrapped. */
class UIMultilineStatic : public UIWidget {
    int font;
    string_t text;
    int width, lines;
    bool changed;
 public:
    UIMultilineStatic(int font, string_t text, int width, int id = 0);
    ~UIMultilineStatic();

    void drawContent(GfxCanvas& can);
    void getLayoutInfo(LayoutInfo& li);
    void setText(string_t text);
};

#endif
